Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.  (gelezen 1716 keer)

Offline iRoni

  • Lid
  • Steunpunt: Nee
Hoi,

Gisteren Ubuntu 7.10 x64 geinstalleerd en tot nu toe werkt het uitstekend. Hij heeft zelfs de printer herkent Brother mfc-260c maar als ik een opdracht geef om iets te printen dan gebeurt er helemaal niks. Geen foutmelding of wat dan ook. Vervolgens kijk ik in de Printer configuration waar je een test pagina kunt printen en dan geeft hij de volgende melding:

CUPS server error
There was an error during the CUPS operation: 'client-error-document-format-not-supported'.

Nu ben ik gaan zoeken op internet en kwam op de volgende site van Brother.
http://solutions.brother.com/linux/en_us/index.html

Via deze pagina kom ik wel bij heel veel informatie om het mischien aan de praat te krijgen maar er staat zoveel, en ik ben maar een beginner in linux dat ik het niet meer kan volgen :)

Wie kan mij verder op weg helpen, alsvast bedankt.

Ron.


*** Ik denk dat ik overstap van windows naar linux want het werkt nu zo fijn allemaal en het wordt steeds beter :) ***
* Ubuntu 7.10 (Gutsy) 64bits * MSI K8N Neo2-54G AMD Athlon64 3500+ XFX Geforce 6800 *

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #1 Gepost op: 2008/01/20, 12:22:40 »
Dit heb je alvast nodig (gekopieerd van die site)
Citaat
# For dpkg users:
1. Install lib32stdc++6(Debian) or ia32-libs(Ubuntu)
2. Restart the system
3. Use "--force-architecture" option when you install the drivers.
4. After the driver installation, and if there is "/usr/lib64/filter/", copy the file which name starts with "brlpdwrapper" ( in the "/usr/lib/cups/filter/" ) to "/usr/lib64/cups/filter/".
Or confirm there are symbolic links between "/usr/lib/" and "/usr/lib64/".
Je moet dus Synaptic opstarten (Systeem-->Beheer-->Synaptic) zoeken naar "ia32" op naam, het bewuste pakket aanvinken en op "toepassen" klikken.  
Terug rebooten
Voor 3 weet ik het niet zo direct, vermits je al geïnstalleerd hebt...
Bij 4: Open een terminal (Toepassingen-->Hulpmiddelen-->Terminaalvenster) Doe daar regel per regel de volgende dingen (telkens Enter op het einde en eventueel wachtwoord ingeven)
cd /usr/lib/cups/filter
ls
Je kunt dan de juiste naam van die file zien. Als er daar zo maar één van is, dan kan je in het volgende commando enkel het begin van die naam typen en daarna de TAB-toets gebruiken...
sudo cp brlpdwrapper... /usr/lib64/cups/filter/brlpdwrapper...Afsluiten en duimen maar...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline iRoni

  • Lid
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #2 Gepost op: 2008/01/20, 13:42:33 »
Oke ik heb de volgende libs geinstalleerd:

ia32-libs
ia32-libs-kde
ia32-sun-java6-bin

Alleen dat --force-architecture optie ben ik nergens tegen gekomen of ik heb niet op zitten letten hi.
Maar nu stap 4. Ik ben in de terminal naar /usr/lib/cups/filter gegaan en ls gedaan maar ik zie de betreffende file "brlpdwrapper" niet staan.

Dus wat nu?
* Ubuntu 7.10 (Gutsy) 64bits * MSI K8N Neo2-54G AMD Athlon64 3500+ XFX Geforce 6800 *

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #3 Gepost op: 2008/01/20, 14:14:26 »
Effe van in he begin.
Voor jouw model volg je deze handleiding vanaf puntje 1.
Dus in een terminal: (kopieer en plak elke regel, gevolgd door enter en eventueel wachtwoord)mkdir BrotherSluit de terminal. Ga vervolgens naar deze twee links LPR Driver en cupswrapper
Waarbij je bij het downloaden kiest voor je nieuwe directory "Brother".
Scroll op die pagina's tot je in de rechtse tabel het nummer tegenkomt van je printer.  Klik op Download en volg de instructies om de licentie te accepteren: Rechtsklikken en kiezen voor "koppeling opslaan als.."
Heb je dat gedaan voor beide files ga je terug naar de terminal.
Doe daar cd Brother
sudo dpkg -i --force-all --force-architecture mfc240clpr-1.0.0-9.i386.deb
Bemerk dat er daar dus een .deb file wordt aangeduid.  Het zou kunnen dat je computer voorstelt om dit automatisch te installeren.  Omdat ze het al gehad hebben over die "force-architecture" optie, kies je dan maar gewoon voor opslaan, zonder installeren...
Vervolgens doe je eveneens sudo dpkg -i --force-all --force-architecture mfc240ccupswrapper-1.0.0-9.i386.debsluit de terminal en open firefox.
Ga verder op puntje 6 "localhost:631" Overigens, als die het niet doet, moet je 1631 maar eens proberen...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline iRoni

  • Lid
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #4 Gepost op: 2008/01/20, 15:08:57 »
Ik heb de files gedownload en in de map brother geplaatst zoals je zij, maar die extentie van de lpr versie klopt niet maar ik heb dus de .rpm Dan krijg ik deze fout melding:

ron@AMD64:~/Brother$ sudo dpkg -i --force-all --force-architecture mfc240clpr-1.0.0-9.i386.rpm
dpkg-deb: `mfc240clpr-1.0.0-9.i386.rpm' is not a debian format archive
dpkg: error processing mfc240clpr-1.0.0-9.i386.rpm (--install):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 mfc240clpr-1.0.0-9.i386.rpm

ron@AMD64:~/Brother$


Oke dus moet ik op zoek gaan naar mfc240clpr-1.0.0-9.i386.deb ?
* Ubuntu 7.10 (Gutsy) 64bits * MSI K8N Neo2-54G AMD Athlon64 3500+ XFX Geforce 6800 *

Offline iRoni

  • Lid
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #5 Gepost op: 2008/01/20, 15:12:01 »
oeps sorry ik heb de verkeerde file gedownload zie ik nu ineens.

Ik probeer het even opnieuw met de goede file.

tot zo. :)
* Ubuntu 7.10 (Gutsy) 64bits * MSI K8N Neo2-54G AMD Athlon64 3500+ XFX Geforce 6800 *

Offline iRoni

  • Lid
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #6 Gepost op: 2008/01/20, 15:15:03 »
Nu krijg ik het volgende:


ron@AMD64:~/Brother$ sudo dpkg -i --force-all --force-architecture mfc240clpr-1.0.0-9.i386.deb
[sudo] password for ron:
dpkg - warning, overriding problem because --force enabled:
 package architecture (i386) does not match system (amd64)
Selecting previously deselected package mfc240clpr.
(Reading database ... 98187 files and directories currently installed.)
Unpacking mfc240clpr (from mfc240clpr-1.0.0-9.i386.deb) ...
Setting up mfc240clpr (1.0.0-9) ...
mkdir: cannot create directory `/var/spool/lpd/mfc240c': No such file or directory
chown: cannot access `/var/spool/lpd/mfc240c': No such file or directory
chgrp: cannot access `/var/spool/lpd/mfc240c': No such file or directory
chmod: cannot access `/var/spool/lpd/mfc240c': No such file or directory

ron@AMD64:~/Brother$

wat nu?
* Ubuntu 7.10 (Gutsy) 64bits * MSI K8N Neo2-54G AMD Athlon64 3500+ XFX Geforce 6800 *

Offline eendje

  • Lid
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #7 Gepost op: 2008/01/20, 15:45:44 »
Citaat
package architecture (i386) does not match system (amd64)
Je gebruikt 32bit pakket op een 64bit systeem/installatie en dat past niet.
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #8 Gepost op: 2008/01/20, 15:58:24 »
Volgens de handleiding van Brother moet je net daarom die --force doen ...  Achteraf moeten er nog wat files gekopieerd worden: Dat lees je hier.
En als je nu eens eerst het andere commando uitvoert ?

'k Ben bijna aan het einde van m'n kennis hoor .. :(
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline iRoni

  • Lid
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #9 Gepost op: 2008/01/20, 16:10:02 »
Oke hij doet het hoor. many thanks :)
Hoe het gelukt is vraag het mij niet maar die tweede file ging wel goed dus.

bye.

*** Love to work with linux haha ***
* Ubuntu 7.10 (Gutsy) 64bits * MSI K8N Neo2-54G AMD Athlon64 3500+ XFX Geforce 6800 *

Offline eendje

  • Lid
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #10 Gepost op: 2008/01/20, 16:14:10 »
O ja nu weet ik het weer je moet handmatig de map /var/spool/lpd/mfc240 aanmaken :D Dat was met de andere Brothers ook zo dat je handmatig een map moest aanmaken. En inderdaad Prosper heeft gelijk je gebruikt al force-architecture...
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Brother MFC-260c werkt nog niet onder Ububtu7.10 wie helpt mij.
« Reactie #11 Gepost op: 2008/01/20, 16:20:33 »
Blij dat het werkt !

Voor wat het waard is: op die link hierboven staat dat je nog een aantal links moet aanmaken.  Doe daarvoor een terminal open en geef daar telkens een lijn in die als volgt gaat (één lijntje per file uit die lijst, en telkens enter, normaal moet je enkel de eerste keer je wachtwoord invoeren)sudo ln   -s   /usr/lib/libbrcomplpr2.so   /usr/lib32/libbrcomplpr2.soNog veel printplezier !  :)
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...